Subject: bug#22329: closed (Re: bug#22329: 24.3; Emacs Tramp feature suggestion: adding sg as a default connection method)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Jan 2016 10:21:02 +0000

Your bug report

#22329: 24.3; Emacs Tramp feature suggestion: adding sg as a default connection method

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22329: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22329
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22329: 24.3; Emacs Tramp feature suggestion: adding sg as a default connection method
From: Michael Albinus <[email-masked]>
To: Peng Bai <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Jan 2016 11:19:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.2

Peng Bai <[email-masked]> writes:

> I suggest adding "sg" as a default connection method.

I've added this to Tramp. Will be available with Tramp 2.3.0 and Emacs 25.2.

> Best regards,
> Peng

Best regards, Michael.

Subject: 24.3; Emacs Tramp feature suggestion: adding sg as a default connection method
From: Peng Bai <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jan 2016 01:29:59 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Following up a question on Stack Overflow
(http://stackoverflow.com/questions/34643837/in-emacs-how-do-i-use-tramp-ssh-to-edit-as-a-different-group-id):

I suggest adding "sg" as a default connection method. My specific use
case is that I have an account on a server, and that user belongs to
multiple groups (main group "group_A", secondary group "group_B") for
administrative reasons. SELinux Access Control is used so even if a
directory is owned by me, but if my main group ID is not right, I will
not be able to create files. In an interactive session, I would do
"chgrp group_B" to switch my main group, and a new shell session will be
created. If remotely launching a program, I would do "ssh foo.com 'sg
group_B /path/to/executable'".

Currently I add the following to my initialization script:

(eval-after-load 'tramp
  '(add-to-list
    'tramp-methods
    '("sg"
      (tramp-login-program "sg")
      (tramp-login-args (("-") ("%u")))
      (tramp-remote-shell "/bin/sh")
      (tramp-remote-shell-args ("-c")))))

Thank you!

Best regards,

Peng